Package org.opensaml.soap.wspolicy.impl

# Class AbstractWSPolicyObjectBuilder<T extends WSPolicyObject>

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<T>
org.opensaml.soap.wspolicy.impl.AbstractWSPolicyObjectBuilder<T>

Type Parameters:
  `T` - the type of object being built

All Implemented Interfaces:
  `XMLObjectBuilder<T>`, `WSPolicyObjectBuilder<T>`

Direct Known Subclasses:
  `AllBuilder`, `AppliesToBuilder`, `ExactlyOneBuilder`, `PolicyAttachmentBuilder`, `PolicyBuilder`, `PolicyReferenceBuilder`

public abstract class AbstractWSPolicyObjectBuilder<T extends WSPolicyObject> extends AbstractXMLObjectBuilder<T> implements WSPolicyObjectBuilder<T>
AbstactWSPolicyObjectBuilder.

## Constructor Summary

Constructors
Constructor
Description
`AbstractWSPolicyObjectBuilder()`

## Method Summary

Modifier and Type
Method
Description
`abstract T`
`buildObject()`
Builds a WS-Policy object.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### AbstractWSPolicyObjectBuilder

public AbstractWSPolicyObjectBuilder()

## Method Details

### buildObject

@Nonnull public abstract T buildObject()
Builds a WS-Policy object.

Specified by:
  `buildObject` in interface `WSPolicyObjectBuilder<T extends WSPolicyObject>`
Returns:
  the built object